Skip to main content

Type Alias: StreamGoal

type StreamGoal =
| string
| z.objectOutputType<{
goal: z.ZodString;
goal_english: z.ZodOptional<z.ZodNullable<z.ZodString>>;
safe_response: z.ZodString;
jailbroken_response: z.ZodString;
goal_metadata: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodUnknown>>;
custom_goal: z.ZodOptional<z.ZodBoolean>;
goal_type: z.ZodOptional<z.ZodString>;
goal_category: z.ZodOptional<z.ZodNullable<z.ZodString>>;
uuid: z.ZodString;
tsg_id: z.ZodString;
job_id: z.ZodString;
goal_to_show: z.ZodOptional<z.ZodNullable<z.ZodString>>;
threat: z.ZodOptional<z.ZodBoolean>;
version: z.ZodOptional<z.ZodNullable<z.ZodNumber>>;
extra_info: z.ZodOptional<z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnknown>>>;
error: z.ZodOptional<z.ZodNullable<z.ZodBoolean>>;
}, z.ZodTypeAny, "passthrough">
| null;

Defined in: src/models/red-team-details.ts:102

Public response fields; the runtime schema assignment checks this structure.